#include "../types.h"
#include "../mednafen.h"
#include "../state.h"
#include "../general.h"
#include "../memory.h"

#include "v810_cpu.h"

uint8 mem_rbyte(uint32 A);
uint16 mem_rhword(uint32 A);
uint32 mem_rword(uint32 A);
void mem_wbyte(uint32 A, uint8 V);
void mem_whword(uint32 A, uint16 V);
void mem_wword(uint32 A, uint32 V);

uint8 port_rbyte(uint32 A);
uint16 port_rhword(uint32 A);
uint32 port_rword(uint32 A);
void port_wbyte(uint32 A, uint8 V);
void port_whword(uint32 A, uint16 V);
void port_wword(uint32 A, uint32 V);

